/***************************************************************************
 *   Copyright (C) 2007 by Felix H. Dahlke   *
 *   fhd@ubercode.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KBCCONFIGURATION_H
#define KBCCONFIGURATION_H

#include <kconfig.h>
#include <qcolor.h>

/**
	@author Felix H. Dahlke <fhd@ubercode.de>
*/

enum {
        ELLIPSE = 0,
        RECTANGLE
};

class KBCConfiguration
{
public:
	KBCConfiguration(KConfig *kconfig);

	~KBCConfiguration();

	void loadDefaults();
	void loadFromConfigFile();
	void writeToConfigFile();

	int hxstart, hystart, mxstart, mystart, hxgap, mxgap, hxsize, hysize, mxsize, mysize;
	int bit_shape;
	QColor borderColor0, borderColor1, fillColor0, fillColor1;

private:
	KConfig *kconfig;
};

#endif
